CPAN + Perl problems on newly installed EV1 Server

wizade

Member
Jun 27, 2003
22
0
151
Howdy Gang,
Perl and/or CPAN is completely borked on a newly installed EV1 box. CPAN refuses to install any perl modules. Here is an example:

cpan> install HTML::Parser
Running install for module HTML::Parser
Running make for G/GA/GAAS/HTML-Parser-3.48.tar.gz
CPAN: LWP::UserAgent loaded ok
Fetching with LWP:
http://cpan.belfry.net/authors/id/G/GA/GAAS/HTML-Parser-3.48.tar.gz
CPAN: Digest::SHA loaded ok
Fetching with LWP:
http://cpan.belfry.net/authors/id/G/GA/GAAS/CHECKSUMS
CPAN: Module::Signature loaded ok
WARNING: This key is not certified with a trusted signature!
Primary key fingerprint: 2E66 557A B97C 19C7 91AF 8E20 328D A867 450F 89EC
Signature for /home/.cpan/sources/authors/id/G/GA/GAAS/CHECKSUMS ok
Checksum for /home/.cpan/sources/authors/id/G/GA/GAAS/HTML-Parser-3.48.tar.gz ok
Scanning cache /home/.cpan/build for sizes
Usage: Cwd::getcwd() at /usr/lib/perl5/5.8.0/File/Path.pm line 264.


I've been working on the problem all day. I did find this bit of info:
http://forum.ev1servers.net/showthread.php?t=60113&highlight=perl+cpan

Can anybody shed some light on the problem? I can't install modules via CPAN and a large portion of CPanel is not functional because of it.

thanks :)
 

Tagor

Well-Known Member
Mar 6, 2004
193
0
166
Izzee said:
Delete the old /home/.cpan directory it will be replaced with a new one with the latest files.

rm -rf /home/.cpan

Then try again.

You should also upgrade perl to 5.8.7 from layer1.cpanel.net
and the latest CPAN is 1.83 and has most of the bugs fixed.

Then do a /scripts/upcp --force to make sure all is in sync with cPanel.

:)
After running /scripts/upcp --force, run; /usr/local/cpanel/bin/checkperlmodules
 

jwiens

Member
Mar 8, 2004
16
0
151
Izzee said:
You should also upgrade perl to 5.8.7 from layer1.cpanel.net
and the latest CPAN is 1.83 and has most of the bugs fixed.
Not to be an idiot, but what's the "right" way to upgrade perl to 5.8.7 from layer1.cpanel.net and update cpan? I'm pretty familiar with linux administration in generall, but I'm trying not to do anything an unapproved way so I can always maintain my system with the web interface as much as possible (and upgrade as cleanly as possible.).

I'm also a relatively fresh ev1 install user. I'm getting the same errors about cpanel, but also getting errors about module::signature not being installed as well. I'm happy to go start poking around in perl and cpan, but first wanted to try the right way. Thanks.
 

jwiens

Member
Mar 8, 2004
16
0
151
Much appreciated -- I had searched around, but hadn't seen the specific reference to the perl-5-8-7 tarball.

BTW, it's ./install not ./install.sh in the version I just downloaded.
 
Last edited:

Tagor

Well-Known Member
Mar 6, 2004
193
0
166
jwiens said:
Much appreciated -- I had searched around, but hadn't seen the specific reference to the perl-5-8-7 tarball.

BTW, it's ./install not ./install.sh in the version I just downloaded.
You're right. I edited my post.